Bug 135735

Summary: Gnome splash screen persists for about 3 minutes before disappearing
Product: [Fedora] Fedora Reporter: Dave Malcolm <dmalcolm>
Component: up2dateAssignee: Bret McMillan <bretm>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alexl, alikins, barryn, djr, ehoover, folke.lemaitre, fred.new2911, joachim.backes, katzj, llamaofdeath, louisgtwo, michal, rstrode, talbotscott, thierryn, tim.liim, wtogami, zcerza
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-05 11:18:56 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 130887, 131589    

Description Dave Malcolm 2004-10-14 15:13:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:


Version-Release number of selected component (if applicable):
gnome-session-2.8.0-4; rawhide-20041014

How reproducible:
Always

Steps to Reproduce:
1. install nightly rawhide-20041014; select "Personal Desktop"
2. login as a test user
3. watch splash screen
    

Actual Results:  Gets to the Red Hat Network Manager Icon, then
persists for about 3 minutes before going away of its own accord

Expected Results:  Should either disappear when all work is done, or
give some kind of visual indication that work is still being done

Additional info:
Comment 1 Ray Strode [halfline] 2004-10-14 16:07:39 EDT
Seems to be an issue with yum.  it tries to import a module (i18n.py)
that isn't in the python search path, when rhn-applet tries to use it.
Comment 2 Seth Vidal 2004-10-14 18:02:50 EDT
a problem with yum?
Can you show me what code in yum you're talking about?
Comment 3 Ray Strode [halfline] 2004-10-14 18:10:45 EDT
I only spent a few minutes investigating, but 

/usr/lib/python2.3/site-packages/rpmUtils/oldUtils.py

tries to import i18n.py which is in /usr/share/yum-cli, which isn't in
the python search path.
Comment 4 Seth Vidal 2004-10-14 18:13:21 EDT
who is using that code?

The only place I can think of it being used is from yum-arch.

Please tell me it's not being called from rhn-applet
Comment 5 Ray Strode [halfline] 2004-10-14 18:21:52 EDT
rhn-applet is importing rpmutils (which is owned by yum) which is
importing oldutils (which is owned by yum) which is trying (and
failing) to import i18n (which is owned by yum)
Comment 6 Ray Strode [halfline] 2004-10-14 18:23:35 EDT
CCing rhn-applet owner in case the problem is actually there.
Comment 7 Ray Strode [halfline] 2004-10-14 21:54:25 EDT
*** Bug 135788 has been marked as a duplicate of this bug. ***
Comment 8 Michal Jaegermann 2004-10-14 21:57:16 EDT
Ah, is it possible that this is related to new rhlp then (see
bug #135780)
Comment 9 Ray Strode [halfline] 2004-10-14 22:01:28 EDT
*** Bug 135780 has been marked as a duplicate of this bug. ***
Comment 10 Seth Vidal 2004-10-14 23:48:37 EDT
okay, fixed it in oldUtils in yum cvs.

Comment 11 Seth Vidal 2004-10-15 01:24:11 EDT
*** Bug 135805 has been marked as a duplicate of this bug. ***
Comment 12 Ray Strode [halfline] 2004-10-15 10:56:46 EDT
*** Bug 135826 has been marked as a duplicate of this bug. ***
Comment 13 Kristian Høgsberg 2004-10-15 11:12:01 EDT
*** Bug 134630 has been marked as a duplicate of this bug. ***
Comment 14 Bill Nottingham 2004-10-15 15:22:23 EDT
*** Bug 135812 has been marked as a duplicate of this bug. ***
Comment 15 Jeremy Katz 2004-10-15 15:37:30 EDT
This still isn't going to work I don't think.

The problem is that up2date includes a module "rpmUtils" but 'import
rpmUtils' is getting the yum rpmUtils...  and since they're different,
I expect other things to break as well :/
Comment 16 Seth Vidal 2004-10-15 17:22:35 EDT
up2date needs to sys.path.insert(0, '/wherever/the/hell/rpmUtils/is')

then we don't have to play this game.

Comment 17 louisgtwo 2004-10-16 16:55:09 EDT
I'm still seeing this error with rhn-applet-2.1.15-2. Their has been
no yum updates in rawhide since this occurred.
Comment 18 Mike Chambers 2004-10-17 08:19:09 EDT
Experiencing the same thing here.  Except after downgrading the kernel
from .624 back to .610, at least the splash screen is now back to
normal.  Although, since the rhn-applet is not starting, that may as
well be why and just coincidence, and this just goes with what is
being discussed at the moment.
Comment 19 Bill Nottingham 2004-10-17 22:52:46 EDT
*** Bug 136008 has been marked as a duplicate of this bug. ***
Comment 20 Bill Nottingham 2004-10-18 12:51:00 EDT
*** Bug 136136 has been marked as a duplicate of this bug. ***
Comment 21 Adrian Likins 2004-10-19 14:30:09 EDT
wow, thats lovely. 
Comment 22 Adrian Likins 2004-10-19 15:41:12 EDT
rhn-applet-2.1.16 and up2date-4.3.44 should try to get
rpmUtils from its path first instead of site-packages
Comment 23 Kjartan Maraas 2004-10-28 14:24:08 EDT
Still seeing this with the latest packages from rawhide.
Comment 24 Aaron 2005-06-16 08:37:35 EDT
So does anyone know how to fix it?
Comment 25 Aaron 2005-06-16 08:37:48 EDT
So does anyone know how to fix it?
Comment 26 John Thacker 2006-10-29 15:19:59 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 27 John Thacker 2006-11-05 11:18:56 EST
Closing per previous message.